#========================================================================================
# package      DE_EPAGES::Payment::API::Attributes::PaymentGroup
# state        private
# description  Attribute interface for payment PaymentGroup.
#========================================================================================
package DE_EPAGES::Payment::API::Attributes::PaymentGroup;
use base DE_EPAGES::Object::API::BaseAttribute;

use strict;
use DE_EPAGES::Core::API::PerlTools qw ( isValid );

sub getAttributes {
    shift;
    my ($PaymentGroup, $aNames) = @_;
    my $hInfo = {};
    foreach my $Name ( @$aNames ) {
        if ($Name eq 'PaymentGroupDisplayName') {
            $hInfo->{$Name} = (isValid($PaymentGroup->get('PaymentGroupName'))) ?
                $PaymentGroup->get('PaymentGroupName') :
                $PaymentGroup->get('NameOrAlias');
        }
    }
    return $hInfo;
}

1;