#========================================================================================
# package      DE_EPAGES::Spreedly::API::Object::PaymentTypeSpreedly
# state        public
#----------------------------------------------------------------------------------------
# description  DE_EPAGES::Spreedly::API::Object::PaymentTypeSpreedly
#----------------------------------------------------------------------------------------
# example      DE_EPAGES::Spreedly::API::Object::PaymentTypeSpreedly
#========================================================================================
package DE_EPAGES::Spreedly::API::Object::PaymentTypeSpreedly;
use base DE_EPAGES::Payment::API::Object::PaymentType;
use strict;

#========================================================================================
# function     isUsable
# state        public
#----------------------------------------------------------------------------------------
# syntax       isUsable( $Shop );
#----------------------------------------------------------------------------------------
# description  returns if this paymenttype can be used in this shop
#----------------------------------------------------------------------------------------
# input        $Shop | Shop object | object
# return       $ReturnVariable | true if this paymenttype can be used | boolean
#========================================================================================
sub isUsable {
    my $self = shift;
    my ($Shop) = @_;

    return 0 unless $self->SUPER::isUsable($Shop);
    return $self->get('IsVisible');
}

1;