package DE_EPAGES::Ebay::t::unit::createBusinessPolicyData;
use base Exporter;

use utf8;
use strict;

our @EXPORT_OK = qw (
        INPUT_BUSINESS_POLICY_SOAP
        RETURN_BUSINESS_POLICY_SOAP
    );

use constant RETURN_BUSINESS_POLICY_SOAP => '<?xml version="1.0" encoding="UTF-8"?><SellerProfiles xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><SellerPaymentProfile><PaymentProfileID xsi:type="xsd:long">97160275015</PaymentProfileID></SellerPaymentProfile><SellerShippingProfile><ShippingProfileID xsi:type="xsd:long">88349570015</ShippingProfileID></SellerShippingProfile><SellerReturnProfile><ReturnProfileID xsi:type="xsd:long">88247904015</ReturnProfileID></SellerReturnProfile></SellerProfiles>';

use constant INPUT_BUSINESS_POLICY_SOAP => {
    'PAYMENT' => {
        'ProfileName'   => 'PayPal:Sonstige / siehe Artikelbeschreibung',
        'ProfileID'     => '97160275015',
    },
    'SHIPPING' => {
        'ProfileName'   => 'Pauschal:DHL Päckchen(EUR 1,00)/Pauschal:DHL',
        'ProfileID'     => '88349570015',
    },
    'RETURN_POLICY' => {
        'ProfileName'   => 'Der Artikel kann nicht zurückgegeben werden',
        'ProfileID'     => '88247904015',
    }
};

1;
