﻿package DE_EPAGES::Ebay::t::unit::createBusinessPolicySoap;
use base DE_EPAGES::Core::API::Test;

use utf8;
use strict;
use Test::More;
use DE_EPAGES::Ebay::t::unit::createBusinessPolicyData
  qw (INPUT_BUSINESS_POLICY_SOAP RETURN_BUSINESS_POLICY_SOAP);
use SOAP::Lite;
use DE_EPAGES::Ebay::API::Object::RemoteEbay;

sub test {
    my $self = shift;

    $self->test_business_policy_soap();

    done_testing();
}

sub test_business_policy_soap {
    my $self = shift;

    ## no critic qw(ProtectPrivateSubs ProhibitPrivateSubroutineUse)
    my $returnSoap =
      DE_EPAGES::Ebay::API::Object::RemoteEbay
      ->_createBusinessPolicySoap(INPUT_BUSINESS_POLICY_SOAP);

    is( SOAP::Serializer->serialize($returnSoap),
        RETURN_BUSINESS_POLICY_SOAP, 'standard business policy' );

    return;
}

__PACKAGE__->runScript;

1;
